## atspi-image

atspi-image

## Functions

gchar * | atspi_image_get_image_description ()
AtspiPoint * | atspi_image_get_image_size ()
AtspiPoint * | atspi_image_get_image_position ()
AtspiRect * | atspi_image_get_image_extents ()
gchar * | atspi_image_get_image_locale ()

## Types and Values

| AtspiImage

## Object Hierarchy

        GInterface
        ╰── AtspiImage

## Known Implementations

AtspiImage is implemented by AtspiAccessible.

## Description

## Functions

### atspi_image_get_image_description ()

    gchar *
    atspi_image_get_image_description (AtspiImage *obj,
                                       GError **error);

Gets the description of the image displayed in an AtspiImage object.

#### Parameters

obj | a pointer to the AtspiImage implementor on which to operate. |

#### Returns

a UTF-8 string describing the image.

### atspi_image_get_image_size ()

    AtspiPoint *
    atspi_image_get_image_size (AtspiImage *obj,
                                GError **error);

Gets the size of the image displayed in a specified AtspiImage object.

#### Parameters

obj | a pointer to the AtspiImage to query. |

#### Returns

a pointer to an AtspiPoint where x corresponds to the image's width and y corresponds to the image's height.

### atspi_image_get_image_position ()

    AtspiPoint *
    atspi_image_get_image_position (AtspiImage *obj,
                                    AtspiCoordType ctype,
                                    GError **error);

Gets the minimum x and y coordinates of the image displayed in a specified AtspiImage implementor.

#### Parameters

obj | a pointer to the AtspiImage implementor to query. |
ctype | the desired coordinate system into which to return the results, (e.g. ATSPI_COORD_TYPE_WINDOW, ATSPI_COORD_TYPE_SCREEN). |

#### Returns

a pointer to an AtspiPoint where x and y correspond to the minimum coordinates of the displayed image.

### atspi_image_get_image_extents ()

    AtspiRect *
    atspi_image_get_image_extents (AtspiImage *obj,
                                   AtspiCoordType ctype,
                                   GError **error);

Gets the bounding box of the image displayed in a specified AtspiImage implementor.

#### Parameters

obj | a pointer to the AtspiImage implementor to query. |
ctype | the desired coordinate system into which to return the results, (e.g. ATSPI_COORD_TYPE_WINDOW, ATSPI_COORD_TYPE_SCREEN). |

#### Returns

a pointer to an AtspiRect corresponding to the image's bounding box. The minimum x and y coordinates, width, and height are specified.

### atspi_image_get_image_locale ()

    gchar *
    atspi_image_get_image_locale (AtspiImage *obj,
                                  GError **error);

Gets the locale associated with an image and its textual representation.

#### Parameters

obj | a pointer to the AtspiImage to query. |

#### Returns

A POSIX LC_MESSAGES-style locale value for image description and text.

## Types and Values

### AtspiImage

    typedef struct _AtspiImage AtspiImage;